# Virtual relationships

The current Core API integration enables you create rules' conditions based on some information contained in the currently issued JWT token, such as:

<table><thead><tr><th width="274">JWT field</th><th>Description</th></tr></thead><tbody><tr><td><strong><code>jwt_customer</code></strong></td><td>The customer associated to the current JWT.</td></tr><tr><td><strong><code>jwt_user</code></strong></td><td>The user associated to the current JWT.</td></tr><tr><td><strong><code>jwt_markets</code></strong></td><td>The list of markets associated to the current JWT.</td></tr><tr><td><strong><code>jwt_stock_locations</code></strong></td><td>The list of stock locations associated to the current JWT.</td></tr><tr><td><strong><code>jwt_custom_claim</code></strong></td><td>The custom claim attached to the current JWT (if any).</td></tr></tbody></table>

{% hint style="warning" %}
These relationships are **virtual**, meaning that, behind the scenes, the integration calls the related [customer](/core-api-reference/customers/object.md), [user](/provisioning/api-reference/user.md), [custom claim](/core/authentication/jwt-bearer.md#creating-the-jwt-assertion) object or the array of [market](/core-api-reference/markets/object.md) or [stock location](/core-api-reference/stock_locations/object.md) objects to fetch the data keeping the `jwt_*` prefix in the outcome payload and API interaction.
{% endhint %}

{% hint style="info" %}
At the moment this relationships are available for the [price](/core-api-reference/prices/object.md) and [SKU](/core-api-reference/skus/object.md) resources only (more to come, keep and eye on the [Core API reference](https://docs.commercelayer.io/core-api-reference/) for any update).
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.commercelayer.io/rules-engine/core-api-integration/virtual-relationships.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
